#include "chdecl.h"
void CH_typestate_tsatc(current, sched, cop)
#define ARGUMENTS 10
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto c16;
    case 4: goto c18;
    case 5: goto c21;
    case 6: goto c33;
    case 7: goto c42;
    case 8: goto cb55;
    case 9: goto c56;
    case 10: goto cb74;
    case 11: goto c75;
    case 12: goto c79;
    case 13: goto c84;
    case 14: goto c95;
    case 15: goto cb100;
    case 16: goto c101;
    case 17: goto c132;
    case 18: goto cb138;
    case 19: goto c139;
    case 20: goto c150;
    case 21: goto c152;
    case 22: goto c154;
    case 23: goto cb158;
    case 24: goto c159;
    case 25: goto c161;
    case 26: goto c169;
    case 27: goto c172;
    case 28: goto c175;
    case 29: goto c186;
    case 30: goto c191;
    case 31: goto c194;
    case 32: goto c198;
    case 33: goto c199;
    case 34: goto c205;
    case 35: goto c216;
    case 36: goto c220;
    case 37: goto c249;
    case 38: goto c253;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* new_record 3.6 , 5 */
  if ((ch_val.record = new_record(5)) == nil) goto ch_depletion;
  (*(REF(3)DOT(6).tsdr)->finalize)(REF(3)DOT(6).value,F_DISCARD,sched);
  REF(3)DOT(6).value = ch_val; REF(3)DOT(6).tsdr = & dr_record;
/* new_table 3.6.2 , 2 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(6)DOT(2),QUAL(2)
    ,sched)) != Normal)  goto ch_raise_exception;
/* lookup_at 4 3.4.1 =(0) */
  if ( !((ch_t = REF(3)DOT(4)DOT(1).value.table)->size) ) goto ch_notfound;
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(4).value,0);
  REF(4).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 5 4 */
  if((ch_returncode = (REF(4).tsdr->copy)(& ch_val, REF(4).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).value = ch_val;
  REF(5).tsdr = datarepmap[REF(4).tsdr->number];
/* find 6 3.1 5.0.0 , 0 */
  if (findfunc(DEF(6),DEF(3)DOT(1),(
          arguments[0] = DEF(5)DOT(0)DOT(0),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* block , 3 */
  if((ch_returncode = che_block(QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
/* find 7 6.1 5.0.1 , 0 */
  if (findfunc(DEF(7),DEF(6)DOT(1),(
          arguments[0] = DEF(5)DOT(0)DOT(1),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* reveal 7.1 , 0 */
  if (0 != REF(7)DOT(1).value.variant->info.variant_case) goto ch_case_error;
/* copy 8 7.1.0 */
  if((ch_returncode = (REF(7)DOT(1)DOT(0).tsdr->copy)(& ch_val, 
    REF(7)DOT(1)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).value = ch_val;
  REF(8).tsdr = datarepmap[REF(7)DOT(1)DOT(0).tsdr->number];
/* endblock */
  che_endblock(sched);
/* branch , 18 */
   goto c18;
c16:
/* find 9 3.2.6 5.0 , 0 */
  if (findfunc(DEF(9),DEF(3)DOT(2)DOT(6),(
          arguments[0] = DEF(5)DOT(0),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 8 9.1 */
  if((ch_returncode = (REF(9)DOT(1).tsdr->copy)(& ch_val, REF(9)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).value = ch_val;
  REF(8).tsdr = datarepmap[REF(9)DOT(1).tsdr->number];
c18:
/* block , 4 */
  if((ch_returncode = che_block(QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
/* ilit 10 , 0 */
  REF(10).value.integer = 0;
  REF(10).tsdr = & dr_integer;
c21:
/* size 11 5.1 */
  REF(11).value.integer = REF(5)DOT(1).value.table->size;
  REF(11).tsdr = & dr_integer;
/* ige . 10 11 , 95 */
  if ( REF(10).value.integer >= REF(11).value.integer ) goto c95;
/* find 12 3.3 8.0 , 0 */
  if (findfunc(DEF(12),DEF(3)DOT(3),(
          arguments[0] = DEF(8)DOT(0),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* find 13 12.1 8.1 , 0 */
  if (findfunc(DEF(13),DEF(12)DOT(1),(
          arguments[0] = DEF(8)DOT(1),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* ord_case 14 13.2 */
  REF(14).value.ord_enum = REF(13)DOT(2).value.variant->info.variant_case;
  REF(14).tsdr = & dr_ord_enumeration;
/* equal . 14 =(6) , 31 */
  if ( REF(14).value.ord_enum == 6 ) goto c31;
/* branch , 79 */
   goto c79;
c31:
/* reveal 13.2 , 6 */
  if (6 != REF(13)DOT(2).value.variant->info.variant_case) goto ch_case_error;
/* initget 15 13.2.0.1 , 0,0 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(15),DEF(13)DOT(2)DOT(0)DOT(1)
    ,nil,sched,GET,0,0)) != Normal) goto ch_raise_exception;
c33:
/* get_or_err 15 13.2.0.1 */
  if ((ch_returncode = get_selected_object(DEF(15),DEF(13)DOT(2)DOT(0)DOT(1)
    ,sched)) != Normal) goto ch_raise_exception;
/* lookup_at 16 5.1 10 */
  if((ch_i = REF(10).value.integer) < 0 || ch_i >= (ch_t = REF(5)DOT(1).value
    .table)->size) goto ch_notfound;
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(16).value,ch_i);
  REF(16).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 17 16 */
  if((ch_returncode = (REF(16).tsdr->copy)(& ch_val, REF(16).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).value = ch_val;
  REF(17).tsdr = datarepmap[REF(16).tsdr->number];
/* notequal . 15.0 17 , 33 */
  if ( !(REF(15)DOT(0).tsdr->equal)(REF(15)DOT(0).value,REF(17).value) )
     goto c33;
/* new_record 18 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).value = ch_val; REF(18).tsdr = & dr_record;
/* copy 18.0 5.0 */
  if((ch_returncode = (REF(5)DOT(0).tsdr->copy)(& ch_val, REF(5)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(18)DOT(0).tsdr)->finalize)(REF(18)DOT(0).value,F_DISCARD,sched);
  REF(18)DOT(0).value = ch_val;
  REF(18)DOT(0).tsdr = datarepmap[REF(5)DOT(0).tsdr->number];
/* new_table 19 , 2 */
  if ((ch_returncode = che_new_table(DEF(19),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* initget 20 5.1 , 0,0 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(20),DEF(5)DOT(1),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c42:
/* get_or_goto 20 5.1 , 49 */
  if ((ch_returncode = get_selected_object(DEF(20),DEF(5)DOT(1)
    ,sched)) != Normal) goto c49;
/* position 21 20 */
  ch_frame = get_selector_frame(DEF(20),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(21).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(21).tsdr = &dr_integer;
/* ige . 21 10 , 42 */
  if ( REF(21).value.integer >= REF(10).value.integer ) goto c42;
/* copy 22 20 */
  if((ch_returncode = (REF(20).tsdr->copy)(& ch_val, REF(20).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).value = ch_val;
  REF(22).tsdr = datarepmap[REF(20).tsdr->number];
/* insert 19 22 */
  if ((ch_returncode = insertfunc(DEF(19),DEF(22),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 42 */
   goto c42;
c49:
/* endget 20 5.1 */
  end_selector(DEF(20),DEF(5)DOT(1),sched,GET);
/* move 18.1 19 */
  (*(REF(18)DOT(1).tsdr)->finalize)(REF(18)DOT(1).value,F_DISCARD,sched);
  REF(18)DOT(1) = REF(19);
  REF(19).tsdr = & dr_bottom;
/* copy 23 18 */
  if((ch_returncode = cp_record(& ch_val, REF(18).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).value = ch_val;
  REF(23).tsdr = & dr_record;
/* lookup_at 24 5.1 10 */
  if((ch_i = REF(10).value.integer) < 0 || ch_i >= (ch_t = REF(5)DOT(1).value
    .table)->size) goto ch_notfound;
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(24).value,ch_i);
  REF(24).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 25 24 */
  if((ch_returncode = (REF(24).tsdr->copy)(& ch_val, REF(24).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).value = ch_val;
  REF(25).tsdr = datarepmap[REF(24).tsdr->number];
/* insert 23.1 25 */
  if ((ch_returncode = insertfunc(DEF(23)DOT(1),DEF(25),FALSE,0)) != Normal)
     goto ch_raise_exception;
  current->ip = 8;
cb55:
/* call 3.0.14 3.0 23 15.2 26 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(14),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(23),
          arguments[3] = DEF(15)DOT(2),
          arguments[4] = DEF(26),
          arguments[4+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c56:
/* move 3.8 26 */
  (*(REF(3)DOT(8).tsdr)->finalize)(REF(3)DOT(8).value,F_DISCARD,sched);
  REF(3)DOT(8) = REF(26);
  REF(26).tsdr = & dr_bottom;
/* endget 15 13.2.0.1 */
  end_selector(DEF(15),DEF(13)DOT(2)DOT(0)DOT(1),sched,GET);
/* boolean 27 , FALSE */
  REF(27).value.boolean = FALSE;
  REF(27).tsdr = & dr_boolean;
/* find_or_goto 28 3.8 3.4 , 0,61 */
  if (findfunc(DEF(28),DEF(3)DOT(8),(
          arguments[0] = DEF(3)DOT(4),& arguments[0]),sched,0) == FAILURE)
             goto c61;
/* boolean 27 , TRUE */
  REF(27).value.boolean = TRUE;
  REF(27).tsdr = & dr_boolean;
c61:
/* branch_false 27 , 79 */
  if ( !REF(27).value.boolean ) goto c79;
/* new_record 29 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).value = ch_val; REF(29).tsdr = & dr_record;
/* unite 29.0 30 , 1 */
  if ((ch_returncode = che_unite(DEF(29)DOT(0),DEF(30),sched,1)) != Normal)
     goto ch_raise_exception;
/* new_table 29.1 , 2 */
  if ((ch_returncode = che_new_table(DEF(29)DOT(1),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 31 18 */
  if((ch_returncode = cp_record(& ch_val, REF(18).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  REF(31).value = ch_val;
  REF(31).tsdr = & dr_record;
/* insert 29.1 31 */
  if ((ch_returncode = insertfunc(DEF(29)DOT(1),DEF(31),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 32 23 */
  if((ch_returncode = cp_record(& ch_val, REF(23).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  REF(32).value = ch_val;
  REF(32).tsdr = & dr_record;
/* insert 29.1 32 */
  if ((ch_returncode = insertfunc(DEF(29)DOT(1),DEF(32),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.8 29 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(8),DEF(29),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 3.6.1 , 30 */
  REF(3)DOT(6)DOT(1).value.ord_enum = 30;
  REF(3)DOT(6)DOT(1).tsdr = & dr_ord_enumeration;
/* insert 3.6.2 18 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(6)DOT(2),DEF(18)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
  current->ip = 10;
cb74:
/* call 3.0.4 3.5 23 3.8 33 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(4),
          arguments[1] = DEF(3)DOT(5),
          arguments[2] = DEF(23),
          arguments[3] = DEF(3)DOT(8),
          arguments[4] = DEF(33),
          arguments[4+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c75:
/* move 3.7 33 */
  (*(REF(3)DOT(7).tsdr)->finalize)(REF(3)DOT(7).value,F_DISCARD,sched);
  REF(3)DOT(7) = REF(33);
  REF(33).tsdr = & dr_bottom;
/* exit , 7 */
  ch_e = handler_type__exit; ch_val = QUAL(7); goto ch_exception;
c79:
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* discard 23 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).tsdr = & dr_bottom;
/* discard 3.8 */
  (*(REF(3)DOT(8).tsdr)->finalize)(REF(3)DOT(8).value,F_DISCARD,sched);
  REF(3)DOT(8).tsdr = & dr_bottom;
/* initget 34 13.1 , 0,0 */
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(34),DEF(13)DOT(1),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c84:
/* get_or_err 34 13.1 */
  if ((ch_returncode = get_selected_object(DEF(34),DEF(13)DOT(1)
    ,sched)) != Normal) goto ch_raise_exception;
/* lookup_at 35 5.1 10 */
  if((ch_i = REF(10).value.integer) < 0 || ch_i >= (ch_t = REF(5)DOT(1).value
    .table)->size) goto ch_notfound;
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(35).value,ch_i);
  REF(35).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 36 35 */
  if((ch_returncode = (REF(35).tsdr->copy)(& ch_val, REF(35).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).value = ch_val;
  REF(36).tsdr = datarepmap[REF(35).tsdr->number];
/* notequal . 34.0 36 , 84 */
  if ( !(REF(34)DOT(0).tsdr->equal)(REF(34)DOT(0).value,REF(36).value) )
     goto c84;
/* copy 8 34.1 */
  if((ch_returncode = (REF(34)DOT(1).tsdr->copy)(& ch_val, REF(34)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).value = ch_val;
  REF(8).tsdr = datarepmap[REF(34)DOT(1).tsdr->number];
/* endget 34 13.1 */
  end_selector(DEF(34),DEF(13)DOT(1),sched,GET);
/* iadd 10 10 =(1) */
  if (!chf_iadd(DEF(10),REF(10).value.integer,1)) goto ch_depletion;
/* branch , 21 */
   goto c21;
c95:
/* find 37 3.3 8.0 , 0 */
  if (findfunc(DEF(37),DEF(3)DOT(3),(
          arguments[0] = DEF(8)DOT(0),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* find 38 37.1 8.1 , 0 */
  if (findfunc(DEF(38),DEF(37)DOT(1),(
          arguments[0] = DEF(8)DOT(1),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* new_table 3.8 , 8 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(8),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 39 3.4 */
  if((ch_returncode = (REF(3)DOT(4).tsdr->copy)(& ch_val, REF(3)DOT(4).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  REF(39).value = ch_val;
  REF(39).tsdr = datarepmap[REF(3)DOT(4).tsdr->number];
/* insert 3.8 39 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(8),DEF(39),FALSE,0)) != Normal)
     goto ch_raise_exception;
  current->ip = 15;
cb100:
/* call 3.0.4 3.5 5 3.8 40 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(4),
          arguments[1] = DEF(3)DOT(5),
          arguments[2] = DEF(5),
          arguments[3] = DEF(3)DOT(8),
          arguments[4] = DEF(40),
          arguments[4+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c101:
/* move 3.7 40 */
  (*(REF(3)DOT(7).tsdr)->finalize)(REF(3)DOT(7).value,F_DISCARD,sched);
  REF(3)DOT(7) = REF(40);
  REF(40).tsdr = & dr_bottom;
/* case 41 3.4.0 */
  REF(41).value.enumeration = REF(3)DOT(4)DOT(0).value.variant
    ->info.variant_case;
  REF(41).tsdr = & dr_enumeration;
/* equal . 41 =(4) , 115 */
  if ( REF(41).value.enumeration == 4 ) goto c115;
/* equal . 41 =(3) , 120 */
  if ( REF(41).value.enumeration == 3 ) goto c120;
/* equal . 41 =(2) , 123 */
  if ( REF(41).value.enumeration == 2 ) goto c123;
/* equal . 41 =(1) , 126 */
  if ( REF(41).value.enumeration == 1 ) goto c126;
/* equal . 41 =(0) , 161 */
  if ( REF(41).value.enumeration == 0 ) goto c161;
/* branch , 198 */
   goto c198;
c115:
/* ordenum_lit 3.6.1 , 17 */
  REF(3)DOT(6)DOT(1).value.ord_enum = 17;
  REF(3)DOT(6)DOT(1).tsdr = & dr_ord_enumeration;
/* copy 3.6.2 3.4.1 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(4)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(3)DOT(6)DOT(2).tsdr)->finalize)(REF(3)DOT(6)DOT(2).value
    ,F_DISCARD,sched);
  REF(3)DOT(6)DOT(2).value = ch_val;
  REF(3)DOT(6)DOT(2).tsdr = & dr_table;
/* new_table 3.7 , 8 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(7),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* branch , 199 */
   goto c199;
c120:
/* new_table 3.7 , 8 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(7),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* exit , 9 */
  ch_e = handler_type__exit; ch_val = QUAL(9); goto ch_exception;
c123:
/* new_table 3.7 , 8 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(7),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* exit , 9 */
  ch_e = handler_type__exit; ch_val = QUAL(9); goto ch_exception;
c126:
/* noop */
  
/* lookup_at 42 3.4.1 =(1) */
  if (1 >= (ch_t = REF(3)DOT(4)DOT(1).value.table)->size) goto ch_notfound;
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(42).value,1);
  REF(42).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 23 42 */
  if((ch_returncode = cp_record(& ch_val, REF(42).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).value = ch_val;
  REF(23).tsdr = & dr_record;
/* reveal 38.2 , 6 */
  if (6 != REF(38)DOT(2).value.variant->info.variant_case) goto ch_case_error;
/* initget 43 38.2.0.1 , 0,0 */
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(43),DEF(38)DOT(2)DOT(0)DOT(1)
    ,nil,sched,GET,0,0)) != Normal) goto ch_raise_exception;
c132:
/* get_or_err 43 38.2.0.1 */
  if ((ch_returncode = get_selected_object(DEF(43),DEF(38)DOT(2)DOT(0)DOT(1)
    ,sched)) != Normal) goto ch_raise_exception;
/* lookup_at 44 23.1 10 */
  if((ch_i = REF(10).value.integer) < 0 || ch_i >= (ch_t = REF(23)DOT(1).value
    .table)->size) goto ch_notfound;
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(44).value,ch_i);
  REF(44).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 45 44 */
  if((ch_returncode = (REF(44).tsdr->copy)(& ch_val, REF(44).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  REF(45).value = ch_val;
  REF(45).tsdr = datarepmap[REF(44).tsdr->number];
/* notequal . 43.0 45 , 132 */
  if ( !(REF(43)DOT(0).tsdr->equal)(REF(43)DOT(0).value,REF(45).value) )
     goto c132;
/* block , 10 */
  if((ch_returncode = che_block(QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 18;
cb138:
/* call 3.0.14 3.0 23 43.2 46 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(14),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(23),
          arguments[3] = DEF(43)DOT(2),
          arguments[4] = DEF(46),
          arguments[4+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c139:
/* noop */
  
/* privatize 46 */
  if (REF(46).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(46))) != Normal)
       goto ch_raise_exception;
/* initget 47 46 , 0,0 */
  (*(REF(47).tsdr)->finalize)(REF(47).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(47),DEF(46),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 47 46 */
  if ((ch_returncode = get_selected_object(DEF(47),DEF(46),sched)) != Normal)
     goto ch_raise_exception;
/* remove 48 47 46 */
  if ((ch_returncode = che_remove(DEF(48),DEF(47),DEF(46),sched)) != Normal)
     goto ch_raise_exception;
/* endget 47 46 */
  end_selector(DEF(47),DEF(46),sched,GET);
/* block , 11 */
  if((ch_returncode = che_block(QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
/* insert 3.8 48 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(8),DEF(48),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c150:
/* discard 48 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).tsdr = & dr_bottom;
/* branch , 139 */
   goto c139;
c152:
/* endblock */
  che_endblock(sched);
c154:
/* endget 43 38.2.0.1 */
  end_selector(DEF(43),DEF(38)DOT(2)DOT(0)DOT(1),sched,GET);
/* ordenum_lit 3.6.1 , 30 */
  REF(3)DOT(6)DOT(1).value.ord_enum = 30;
  REF(3)DOT(6)DOT(1).tsdr = & dr_ord_enumeration;
/* insert 3.6.2 5 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(6)DOT(2),DEF(5)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
  current->ip = 23;
cb158:
/* call 3.0.4 3.5 23 3.8 49 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(4),
          arguments[1] = DEF(3)DOT(5),
          arguments[2] = DEF(23),
          arguments[3] = DEF(3)DOT(8),
          arguments[4] = DEF(49),
          arguments[4+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c159:
/* move 3.7 49 */
  (*(REF(3)DOT(7).tsdr)->finalize)(REF(3)DOT(7).value,F_DISCARD,sched);
  REF(3)DOT(7) = REF(49);
  REF(49).tsdr = & dr_bottom;
/* branch , 199 */
   goto c199;
c161:
/* ord_case 50 38.2 */
  REF(50).value.ord_enum = REF(38)DOT(2).value.variant->info.variant_case;
  REF(50).tsdr = & dr_ord_enumeration;
/* notequal . 50 =(10) , 194 */
  if ( REF(50).value.ord_enum != 10 ) goto c194;
/* reveal 38.2 , 10 */
  if (10 != REF(38)DOT(2).value.variant->info.variant_case)
     goto ch_case_error;
/* new_table 51 , 8 */
  if ((ch_returncode = che_new_table(DEF(51),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* privatize 3.7 */
  if (REF(3)DOT(7).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(3)DOT(7))) != Normal)
       goto ch_raise_exception;
/* initget 52 3.7 , 0,0 */
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(52),DEF(3)DOT(7),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c169:
/* get_or_goto 52 3.7 , 191 */
  if ((ch_returncode = get_selected_object(DEF(52),DEF(3)DOT(7)
    ,sched)) != Normal) goto c191;
/* boolean 53 , FALSE */
  REF(53).value.boolean = FALSE;
  REF(53).tsdr = & dr_boolean;
/* initget 54 52.1 , 0,0 */
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(54),DEF(52)DOT(1),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c172:
/* get_or_goto 54 52.1 , 186 */
  if ((ch_returncode = get_selected_object(DEF(54),DEF(52)DOT(1)
    ,sched)) != Normal) goto c186;
/* boolean 55 , FALSE */
  REF(55).value.boolean = FALSE;
  REF(55).tsdr = & dr_boolean;
/* initget 56 38.2.0.0 , 0,0 */
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(56),DEF(38)DOT(2)DOT(0)DOT(0)
    ,nil,sched,GET,0,0)) != Normal) goto ch_raise_exception;
c175:
/* get_or_goto 56 38.2.0.0 , 182 */
  if ((ch_returncode = get_selected_object(DEF(56),DEF(38)DOT(2)DOT(0)DOT(0)
    ,sched)) != Normal) goto c182;
/* lookup_at 57 54.1 =(0) */
  if ( !((ch_t = REF(54)DOT(1).value.table)->size) ) goto ch_notfound;
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(57).value,0);
  REF(57).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 58 57 */
  if((ch_returncode = (REF(57).tsdr->copy)(& ch_val, REF(57).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  REF(58).value = ch_val;
  REF(58).tsdr = datarepmap[REF(57).tsdr->number];
/* notequal . 58 56 , 175 */
  if ( !(REF(58).tsdr->equal)(REF(58).value,REF(56).value) ) goto c175;
/* boolean 55 , TRUE */
  REF(55).value.boolean = TRUE;
  REF(55).tsdr = & dr_boolean;
c182:
/* endget 56 38.2.0.0 */
  end_selector(DEF(56),DEF(38)DOT(2)DOT(0)DOT(0),sched,GET);
/* not 59 55 */
  REF(59).value.boolean = !REF(55).value.boolean;
  REF(59).tsdr = & dr_boolean;
/* branch_false 59 , 172 */
  if ( !REF(59).value.boolean ) goto c172;
/* boolean 53 , TRUE */
  REF(53).value.boolean = TRUE;
  REF(53).tsdr = & dr_boolean;
c186:
/* endget 54 52.1 */
  end_selector(DEF(54),DEF(52)DOT(1),sched,GET);
/* branch_false 53 , 169 */
  if ( !REF(53).value.boolean ) goto c169;
/* remove 60 52 3.7 */
  if ((ch_returncode = che_remove(DEF(60),DEF(52),DEF(3)DOT(7)
    ,sched)) != Normal) goto ch_raise_exception;
/* insert 51 60 */
  if ((ch_returncode = insertfunc(DEF(51),DEF(60),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 169 */
   goto c169;
c191:
/* endget 52 3.7 */
  end_selector(DEF(52),DEF(3)DOT(7),sched,GET);
/* merge 3.8 51 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(8),DEF(51),FALSE,0)) != Normal)
     goto ch_raise_exception;
c194:
/* ordenum_lit 3.6.1 , 14 */
  REF(3)DOT(6)DOT(1).value.ord_enum = 14;
  REF(3)DOT(6)DOT(1).tsdr = & dr_ord_enumeration;
/* insert 3.6.2 5 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(6)DOT(2),DEF(5)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* branch , 199 */
   goto c199;
c198:
/* exit , 9 */
  ch_e = handler_type__exit; ch_val = QUAL(9); goto ch_exception;
c199:
/* discard 5 */
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).tsdr = & dr_bottom;
/* discard 23 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).tsdr = & dr_bottom;
/* discard 46 */
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c205:
/* discard 5 */
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).tsdr = & dr_bottom;
/* discard 23 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).tsdr = & dr_bottom;
/* unique 3.6.0 */
  if ((ch_returncode = che_unique(DEF(3)DOT(6)DOT(0),sched)) != Normal)
     goto ch_raise_exception;
/* unite 3.6.3 61 , 0 */
  if ((ch_returncode = che_unite(DEF(3)DOT(6)DOT(3),DEF(61),sched,0
    )) != Normal) goto ch_raise_exception;
/* chs_lit 3.6.4 , "" */
  if( !chs_lit(DEF(3)DOT(6)DOT(4),"") ) goto ch_depletion;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 249 */
   goto c249;
c216:
/* discard 3.6.2 */
  (*(REF(3)DOT(6)DOT(2).tsdr)->finalize)(REF(3)DOT(6)DOT(2).value
    ,F_DISCARD,sched);
  REF(3)DOT(6)DOT(2).tsdr = & dr_bottom;
/* discard 3.6 */
  (*(REF(3)DOT(6).tsdr)->finalize)(REF(3)DOT(6).value,F_DISCARD,sched);
  REF(3)DOT(6).tsdr = & dr_bottom;
/* return_exception 3 , 12 */
  if (ch_caller = do_return(REF(3).value)) {
    raise_user(QUAL(12),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(3),QUAL(12));
  REF(3).tsdr = & dr_bottom;
/* branch , 249 */
   goto c249;
c220:
/* discard 3 */
  (*(REF(3).tsdr)->finalize)(REF(3).value,F_DISCARD,sched);
  REF(3).tsdr = & dr_bottom;
/* discard 5 */
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).tsdr = & dr_bottom;
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* discard 23 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).tsdr = & dr_bottom;
/* discard 29 */
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).tsdr = & dr_bottom;
/* discard 33 */
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).tsdr = & dr_bottom;
/* discard 17 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).tsdr = & dr_bottom;
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
/* discard 25 */
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).tsdr = & dr_bottom;
/* discard 26 */
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26).tsdr = & dr_bottom;
/* discard 31 */
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  REF(31).tsdr = & dr_bottom;
/* discard 32 */
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  REF(32).tsdr = & dr_bottom;
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* discard 39 */
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  REF(39).tsdr = & dr_bottom;
/* discard 40 */
  (*(REF(40).tsdr)->finalize)(REF(40).value,F_DISCARD,sched);
  REF(40).tsdr = & dr_bottom;
/* discard 49 */
  (*(REF(49).tsdr)->finalize)(REF(49).value,F_DISCARD,sched);
  REF(49).tsdr = & dr_bottom;
/* discard 51 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).tsdr = & dr_bottom;
/* discard 58 */
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  REF(58).tsdr = & dr_bottom;
/* discard 45 */
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  REF(45).tsdr = & dr_bottom;
/* discard 46 */
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46).tsdr = & dr_bottom;
/* discard 48 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).tsdr = & dr_bottom;
/* chs_lit 62 , "something went wrong with tsatc" */
  if( !chs_lit(DEF(62),"something went wrong with tsatc") ) goto ch_depletion;
/* print 62 */
  re_print(stderr, 0, DEF(62)); fflush(stderr);
/* discard 62 */
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  REF(62).tsdr = & dr_bottom;
c249:
/* discard 5 */
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).tsdr = & dr_bottom;
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c253:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
